// VC04.h

#pragma once

using namespace System;

namespace VC04
{
	public __delegate void ErrorEventHandler(int intError,String * strError);

	public __gc class cls0311VC04
	{
		// TODO: このクラスの、ユーザーのメソッドをここに追加してください。

	public:

		__event ErrorEventHandler *pevtError;

		double pdblCalc(String *vstrNum1,
			String *vstrNum2, 
			String *vstrTerm)
		{
			Double dblAns = 0;
			double dblNum1;
			double dblNum2;
			//2値チェック
			try 
			{
				dblNum1 = System::Convert::ToDouble(vstrNum1);
				try 
				{
					dblNum2 = System::Convert::ToDouble(vstrNum2);
					// 演算
					if (String::Compare(vstrTerm,S"＋") == 0) {
						dblAns = dblNum1 + dblNum2;
					} else if (String::Compare(vstrTerm,S"−") == 0) {
						dblAns = dblNum1 - dblNum2;
					} else if (String::Compare(vstrTerm,S"×") == 0) {
						dblAns = dblNum1 * dblNum2;
					} else if (String::Compare(vstrTerm,S"÷") == 0) {
						dblAns = dblNum1 / dblNum2;
					} else {
						pevtError(3, "演算子を選択してください。"); 
					}
				}
				catch(System::Exception *e)
				{
					pevtError(2,"数値を指定してください。");
				}
			}
			catch(System::Exception *e)
			{
				pevtError(1,"数値を指定してください。");
			}
			return dblAns;
		}
	};
}
